<?php
namespace Ep;

use Zend\ServiceManager\Factory\InvokableFactory;

return [
    'validators' => [
        'aliases' => [
            'disableablevalidatorchain' => Validator\Chain\DisableableChain::class,
            'disableableValidatorChain' => Validator\Chain\DisableableChain::class,
            'DisableableValidatorChain' => Validator\Chain\DisableableChain::class,
            'enablemodulechain'         => Validator\Chain\EnableModuleChain::class,
            'enableModuleChain'         => Validator\Chain\EnableModuleChain::class,
            'EnableModuleChain'         => Validator\Chain\EnableModuleChain::class,

            'smtpserver' => Validator\SmtpServer::class,
            'smtpServer' => Validator\SmtpServer::class,
            'SmtpServer' => Validator\SmtpServer::class,
        ],

        'factories' => [
            Validator\Chain\DisableableChain::class  => InvokableFactory::class,
            Validator\Chain\EnableModuleChain::class => InvokableFactory::class,

            Validator\SmtpServer::class => InvokableFactory::class,
        ],
    ],
];