<?php
namespace EpTest;

use PHPUnit\Framework\TestCase;
use Zend\ServiceManager\PluginManagerInterface;

/**
 * Class ConfigTest
 *
 * @package EpTest
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ConfigTest extends TestCase
{
    use ContainerAwareTrait;

    /**
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function testFormElementManagerIsRegistered()
    {
        $container = $this->createContainer();

        $this->assertTrue($container->has('FormElementManager'));
        $this->assertInstanceOf(PluginManagerInterface::class, $container->get('FormElementManager'));
    }
}